### Signal

# GObject SignalGroup::bind

since: 2.72

#### Declaration

    void
    bind (
      GSignalGroup* self,
      GObject* instance,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when `GSignalGroup:target` is set to a new value other than `NULL`. It is similar to `GObject::notify` on `target` except it will not emit when `GSignalGroup:target` is `NULL` and also allows for receiving the `GObject` without a data-race.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.72

#### Parameters

`instance`

  Type: `GObject`

  A `GObject` containing the new value for `GSignalGroup:target`.

  The data is owned by the caller of the function.